﻿using System;
using System.Configuration;

namespace RKRD.Registry.NRZP.ServiceTestClient.Configuration
{
    public class ConfigProvider
    {
        private NrzpConfiguration _nrzpConfiguration;
        public NrzpConfiguration NrzpConfiguration
        {
            get
            {
                if (_nrzpConfiguration == null)
                {
                    _nrzpConfiguration = ((NrzpConfiguration)ConfigurationManager.GetSection(NrzpConfiguration.CONFIGURATION_SECTION_NAME));
                    if (_nrzpConfiguration == null)
                    {
                        throw new Exception("Cannot load NRZP Config");
                    }
                }
                return _nrzpConfiguration;
            }
        }
    }
}
